| OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
OpenMesh::IO::ExporterT< Mesh > Class Template Reference

This class template provides an exporter module for OpenMesh meshes. More...

`#include <OpenMesh/Core/IO/exporter/ExporterT.hh>`

Inheritance diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::IO::ExporterT< Mesh >:
[legend]

## Public Member Functions
| ExporterT (const Mesh &_mesh)
Vec3f | point (VertexHandle _vh) const
Vec3f | normal (VertexHandle _vh) const
Vec3uc | color (VertexHandle _vh) const
Vec4uc | colorA (VertexHandle _vh) const
Vec3ui | colori (VertexHandle _vh) const
Vec4ui | colorAi (VertexHandle _vh) const
Vec3f | colorf (VertexHandle _vh) const
Vec4f | colorAf (VertexHandle _vh) const
Vec2f | texcoord (VertexHandle _vh) const
Vec3uc | color (EdgeHandle _eh) const
Vec4uc | colorA (EdgeHandle _eh) const
Vec3ui | colori (EdgeHandle _eh) const
Vec4ui | colorAi (EdgeHandle _eh) const
Vec3f | colorf (EdgeHandle _eh) const
Vec4f | colorAf (EdgeHandle _eh) const
unsigned int | get_vhandles (FaceHandle _fh, std::vector< VertexHandle > &_vhandles) const
Vec3f | normal (FaceHandle _fh) const
Vec3uc | color (FaceHandle _fh) const
Vec4uc | colorA (FaceHandle _fh) const
Vec3ui | colori (FaceHandle _fh) const
Vec4ui | colorAi (FaceHandle _fh) const
Vec3f | colorf (FaceHandle _fh) const
Vec4f | colorAf (FaceHandle _fh) const
virtual const BaseKernel * | kernel ()
size_t | n_vertices () const
size_t | n_faces () const
size_t | n_edges () const
bool | is_triangle_mesh () const
bool | has_vertex_normals () const
bool | has_vertex_colors () const
bool | has_vertex_texcoords () const
bool | has_edge_colors () const
bool | has_face_normals () const
bool | has_face_colors () const

## Detailed Description

### template<class Mesh>
class OpenMesh::IO::ExporterT< Mesh >

This class template provides an exporter module for OpenMesh meshes.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/exporter/ExporterT.hh